aboutsummaryrefslogtreecommitdiff
path: root/system/gohu-font/doinst.sh
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2023-03-07 21:00:53 -0500
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-03-12 08:48:26 +0700
commita75cc652c4640290a9784f8b68ce078d324244b3 (patch)
tree4bd3dc2810f7e3869a06274420090f9eec37da50 /system/gohu-font/doinst.sh
parent35948186b0cec778766aa1fd1cc69e4493ad7f50 (diff)
system/gohu-font: Add douninst.sh.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/gohu-font/doinst.sh')
-rw-r--r--system/gohu-font/doinst.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/system/gohu-font/doinst.sh b/system/gohu-font/doinst.sh
index aa7f16b279eb..c014f1310f2d 100644
--- a/system/gohu-font/doinst.sh
+++ b/system/gohu-font/doinst.sh
@@ -1,6 +1,6 @@
if [ -x /usr/bin/mkfontdir ]; then
( cd usr/share/fonts/misc
- if ! grep -q ^gohu fonts.alias 2>/dev/null; then
+ if ! grep -q '^gohu1[14]\(bold\|\) ' fonts.alias 2>/dev/null; then
echo 'gohu11 -gohu-gohufont-medium-r-normal--11-80-100-100-c-60-iso10646-1' >> fonts.alias
echo 'gohu11bold -gohu-gohufont-bold-r-normal--11-80-100-100-c-60-iso10646-1' >> fonts.alias
echo 'gohu14 -gohu-gohufont-medium-r-normal--14-100-100-100-c-80-iso10646-1' >> fonts.alias
@@ -10,6 +10,9 @@ if [ -x /usr/bin/mkfontdir ]; then
mkfontdir .
)
fi
+
+[ "$DISPLAY" != "" ] && xset fp rehash 2>/dev/null
+
if [ -x usr/bin/fc-cache ]; then
usr/bin/fc-cache -f
fi